# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-DateTime-Calendar-Mayan 
Version:	0.0601 
Release:	10.%{__distinit}%{__distvers}
License:	GPL+ or Artistic 
Group:		Development/Libraries
Summary:	Mayan Long Count Calendar 
Url:		http://search.cpan.org/dist/DateTime-Calendar-Mayan
Source:		http://search.cpan.org/CPAN/authors/id/J/JH/JHOBLITT/DateTime-Calendar-Mayan-%{version}.tar.gz 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu) 
BuildArch:	noarch
BuildRequires:	perl(DateTime) >= 0.15
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Module::Build::Compat)
BuildRequires:	perl(Params::Validate) >= 0.64
BuildRequires:	perl(Test::More)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
An implementation of the Mayan Long Count, Haab, and Tzolkin calendars
as defined in "Calendrical Calculations The Millennium Edition".
Supplemented by "Frequently Asked Questions about Calendars".

%prep
%setup -q -n DateTime-Calendar-Mayan-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%check
LC_ALL=C make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc README Changes LICENSE Todo
%{perl_vendorlib}/DateTime/
%{_mandir}/man3/DateTime::Calendar::Mayan.3pm*

%changelog
* Mon Jan 23 2012 Paul Howarth <paul@city-fan.org> - 0.0601-10
- Resync with Rawhide package

* Thu Jun 23 2011 Paul Howarth <paul@city-fan.org> - 0.0601-7
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 0.0601-6
- Rebuild for perl 5.12.1 in Rawhide

* Wed May 19 2010 Paul Howarth <paul@city-fan.org> - 0.0601-5
- Fix dist tag for RHEL-6 Beta

* Fri Jan 29 2010 Paul Howarth <paul@city-fan.org> - 0.0601-4
- Import from Fedora

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.0601-3
- Rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0601-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 18 2009 Chris Weyl <cweyl@alumni.drew.edu> - 0.0601-1
- Submission

* Mon May 18 2009 Chris Weyl <cweyl@alumni.drew.edu> - 0.0601-0
- Initial RPM packaging
- Generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)
